//pub mod common;
mod translate;
mod replicate;

use crate::point::Point;

// re-export transformers to be abe to use it directly from transformer::
pub use translate::Translate;
pub use replicate::Replicate;

pub trait Transformers {
    fn apply(&self, point_list: &[Point]) -> Vec<Point>;
}
